Bug 215601

Summary: graphics/qgis: needs py-Jinja2 and py-pygments as dependencies
Product: Ports & Packages Reporter: Martin Birgmeier <d8zNeCFG>
Component: Individual Port(s)Assignee: Ruslan Makhmatkhanov <rm>
Status: Closed FIXED    
Severity: Affects Only Me CC: rhurlin, rm
Priority: --- Flags: rm: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch QGIS 2.18.2 to add more dependencies rhurlin: maintainer-approval+

Description Martin Birgmeier 2016-12-27 08:46:52 UTC
The latest qgis-2.18.2 needs the Jinja2 and pygments Python libraries. These should be added as dependencies.

-- Martin
Comment 1 Rainer Hurling 2016-12-31 08:49:01 UTC
Created attachment 178414 [details]
patch QGIS 2.18.2 to add more dependencies

Hi Martin,

Your pointer to the missing deps is really appreciated!


What this patch does:
- Update dependency devel/py-Jinja to py-Jinja2
- Add dependency for textproc/py-pygments
- Add sql-pgsql and sql-sqlite3 in USE_QT4
- Bump PORTREVISION for package builders


The patch was tested on Poudriere (10.3i/a, 11.0i/a  and, HEADi/a, with options all enabled, all disabled and default).

portlint -AC seems happy.
Comment 2 commit-hook freebsd_committer 2017-02-02 19:10:21 UTC
A commit references this bug:

Author: rm
Date: Thu Feb  2 19:09:19 UTC 2017
New revision: 433176
URL: https://svnweb.freebsd.org/changeset/ports/433176

Log:
  graphics/qgis: correct dependencies list

  - Update dependency devel/py-Jinja to py-Jinja2
  - Add dependency for textproc/py-pygments
  - Add sql-pgsql and sql-sqlite3 in USE_QT4
  - Bump PORTREVISION

  While here, also remove duplicate direct dependency upon python.

  PR:		215601
  Submitted by:	Martin Birgmeier <la5lbtyi@aon.at>
  Approved by:	Rainer Hurling <rhurlin@gwdg.de> (maintainer, updated patch)
  MFH:		2017Q1

Changes:
  head/graphics/qgis/Makefile
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2017-02-02 19:11:40 UTC
Committed, thank you!

I also removed duplicate dependency upon python (it is already set in USES and it's more correct place for that).
Comment 4 commit-hook freebsd_committer 2017-02-03 06:10:08 UTC
A commit references this bug:

Author: rm
Date: Fri Feb  3 06:09:11 UTC 2017
New revision: 433193
URL: https://svnweb.freebsd.org/changeset/ports/433193

Log:
  MFH: r433176

  graphics/qgis: correct dependencies list

  - Update dependency devel/py-Jinja to py-Jinja2
  - Add dependency for textproc/py-pygments
  - Add sql-pgsql and sql-sqlite3 in USE_QT4
  - Bump PORTREVISION

  While here, also remove duplicate direct dependency upon python.

  PR:		215601
  Submitted by:	Martin Birgmeier <la5lbtyi@aon.at>
  Approved by:	Rainer Hurling <rhurlin@gwdg.de> (maintainer, updated patch)

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/graphics/qgis/Makefile